-- Standard Layout Setting
local DHUD2 = DHUD2
if not DHUD2.Layouts then
    DHUD2.Layouts = {}
end;
DHUD2.Layouts.Standard = {
    mainFrame = {
        "CENTER",
        "UIParent",
        "CENTER",
        0,
        0,
        512,
        256
    },
    
    frames = {
        leftFrame = {
                "LEFT",
                "mainFrame",
                "LEFT",
                0,
                0,
                128,
                256,
                0,
                1,
                0,
                1,
"Interface\\AddOns\\DHUD2\\Layouts\\bg_21p"
        },
        rightFrame = {
            "RIGHT", 
            "mainFrame",
            "RIGHT",
            0,
            0,
            128,
            256,
            1,
            0,
            0,
            1,
"Interface\\AddOns\\DHUD2\\Layouts\\bg_21p"
        }
    },

    bars = {
        playerHealth = {
            "BOTTOM",
            "leftFrame",
            "BOTTOM",
            0,          -- x
            0,          -- y
            128,        -- width
            256,        -- height
            0,          -- x0
            1,          -- x1
            0,          -- y0
            1,          -- y1
            "Interface\\AddOns\\DHUD2\\Layouts\\1",
            256,        -- texture height
            11,         -- texture gap top
            11          -- texture gap bottom
        },
        playerPower = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            0,
            0,
            128,
            256,
            1,
            0,
            0,
            1,
            "Interface\\AddOns\\DHUD2\\Layouts\\1",
            256,
            11,
            11
        },
        targetHealth = {
            "BOTTOM",
            "leftFrame",
            "BOTTOM",
            0,
            0,
            128,
            256,
            0,
            1,
            0,
            1,
            "Interface\\AddOns\\DHUD2\\Layouts\\2",
            256,
            5,
            5
        },
        targetPower = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            0,
            0,
            128,
            256,
            1,
            0,
            0,
            1,
            "Interface\\AddOns\\DHUD2\\Layouts\\2",
            256,
            5,
            5
        },
        petHealth = {
            "BOTTOM",
            "leftFrame",
            "BOTTOM",
            0,
            0,
            128,
            256,
            0,
            1,
            0,
            1,
            "Interface\\AddOns\\DHUD2\\Layouts\\p2",
            256,
            128,
            20            
        },
        petPower = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            0,
            0,
            128,
            256,
            1,
            0,
            0,
            1,
            "Interface\\AddOns\\DHUD2\\Layouts\\p1",
            256,
            128,
            20            
        },
        casting = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            0,
            0,
            128,
            256,
            1,
            0,
            0,
            1,
            "Interface\\AddOns\\DHUD2\\Layouts\\cb",
            256,
            11,
            11
        },
        flash = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            0,
            0,
            128,
            256,
            1,
            0,
            0,
            1,
            "Interface\\AddOns\\DHUD2\\Layouts\\cbh",
            256,
            11,
            11
        }
    },
        
    text = {
        target= {
            "BOTTOM",
            "mainFrame",
            "BOTTOM",
            0,
            -45,
            200,
            14
        },
        targetTarget = {
            "BOTTOM",
            "mainFrame",
            "BOTTOM",
            0,
            -65,
            200,
            14
        },
        playerHealth = {
            "BOTTOM",
            "leftFrame",
            "BOTTOM",
            95,
            2,
            200,
            14
        },
        playerPower = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            -95,
            2,
            200,
            14
        },
        targetHealth = {
            "BOTTOM",
            "leftFrame",
            "BOTTOM",
            80,
            -16,
            200,
            14
        },
        targetPower = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            -80,
            -16,
            200,
            14
        },
        petHealth = {
            "BOTTOM",
            "leftFrame",
            "BOTTOM",
            110,
            19,
            200,
            14
        },
        petPower = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            -110,
            19,
            200,
            14
        },
        castTime = {
            "TOPRIGHT",
            "rightFrame",
            "TOPRIGHT",
            -88,
            5,
            100,
            14
        },
        castDelay = {
            "TOPRIGHT",
            "rightFrame",
            "TOPRIGHT",
            -88,
            19,
            100,
            14
        },
    },
    
    icons = {
        combo1 = {
            "BOTTOM",
            "leftFrame",
            "BOTTOM",
            6,
            0,
            20,
            20,
            0,
            1,
            0,
            1,
            "Interface\\AddOns\\DHUD2\\Layouts\\c1"
        },
        combo2 = {
            "BOTTOM",
            "leftFrame",
            "BOTTOM",
            -1,
            20,
            20,
            20,
            0,
            1,
            0,
            1,
            "Interface\\AddOns\\DHUD2\\Layouts\\c2"
        },
        combo3 = {
            "BOTTOM",
            "leftFrame",
            "BOTTOM",
            -7,
            40,
            20,
            20,
            0,
            1,
            0,
            1,
            "Interface\\AddOns\\DHUD2\\Layouts\\c3"
        },
        combo4 = {
            "BOTTOM",
            "leftFrame",
            "BOTTOM",
            -11, 
            60, 
            20, 
            20,
            0,
            1,
            0,
            1,
            "Interface\\AddOns\\DHUD2\\Layouts\\c4"
        },
        combo5 = {
            "BOTTOM",
            "leftFrame",
            "BOTTOM",
            -13, 
            80, 
            20, 
            20,
            0,
            1,
            0,
            1,
            "Interface\\AddOns\\DHUD2\\Layouts\\c5"
        },
        targetIcon = {
            "BOTTOM",
            "target_Text",
            "TOP",
            0,
            0, 
            25, 
            25,
            0.6,
            0,
            0,
            0.6,
            {
                "Interface\\TargetingFrame\\UI-PVP-Alliance",
                "Interface\\TargetingFrame\\UI-PVP-Horde",
                "Interface\\TargetingFrame\\UI-PVP-FFA",                
            }
        },
        playerResting = {
            "TOP",
            "leftFrame",
            "TOP", 
            42, 
            12,
            25,
            25,
            0.0625,
            0.4475,
            0.0625,
            0.4375,
            "Interface\\CharacterFrame\\UI-StateIcon"
        },
        playerInCombat = {
            "TOP",
            "leftFrame", 
            "TOP",
            42, 
            12, 
            25, 
            25,
            0.5625,
            0.9375,
            0.0625,
            0.4375,
            "Interface\\CharacterFrame\\UI-StateIcon"
        },
        playerLeader = {
            "TOP",
            "leftFrame",
            "TOP", 
            48, 
            -20, 
            20, 
            20,
            0,
            1,
            0,
            1,
            "Interface\\GroupFrame\\UI-Group-LeaderIcon"
        },
        playerLooter = {
            "TOP",
            "leftFrame",
            "TOP",
            43,
            -40,
            18,
            18,
             0,
            1,
            0,
            1,
            "Interface\\GroupFrame\\UI-Group-MasterLooter"
        },
        playerPvP = {
            "TOP",
            "leftFrame",
            "TOP",
            50,
            -15,
            25,
            25,
            0,
            0.6,
            0,
            0.6,
            {
                "Interface\\TargetingFrame\\UI-PVP-Alliance",
                "Interface\\TargetingFrame\\UI-PVP-Horde",
                "Interface\\TargetingFrame\\UI-PVP-FFA",
            }
        },
        petHappy = {
            "TOP",
            "leftFrame",
            "TOP",
            32,
            -107,
            20,
            20,
            0,
            0.1875,
            0,
            0.359375,
            "Interface\\PetPaperDollFrame\\UI-PetHappiness"
        },
        targetElite = {
            "TOP",
            "leftFrame",
            "TOP",
            18,
            20,
            64,
            64,
            0,
            1,
            0,
            1,
            "Interface\\AddOns\\DHUD2\\Layouts\\elite"           
        },
        --[[
        raidIcon = {  
            "TOP",
            "leftFrame",
            "TOP",
            48,
            -43,
            25,
            25,
            0.75,
            0.75,
            0.75,
            0.75,
            "Interface\\TargetingFrame\\UI-RaidTargetingIcons"
        },
        ]]
    },
    
    buff = {
        Buff1 = {
            "RIGHT",
            "target_Text",
            "LEFT",
            -1,
            0,
            20, 
            20
        },
        Buff2 = {
            "RIGHT",
            "Buff1" ,
            "LEFT",
            -1,
            0,
            20,
            20
        },
        Buff3 = {
            "RIGHT",
            "Buff2" ,
            "LEFT",
            -1,
            0,
            20,
            20
        },
        Buff4 = {
            "RIGHT",
            "Buff3" ,
            "LEFT",
            -1,
            0,
            20,
            20 
        },
        Buff5 = {
            "RIGHT",
            "Buff4" ,
            "LEFT",
            -1,
            0,
            20,
            20
        },
        Buff6 = {
            "RIGHT",
            "Buff5" ,
            "LEFT",
            -1,
            0,
            20,
            20
        },
        Buff7 = {
            "RIGHT",
            "Buff6" ,
            "LEFT",
            -1,
            0,
            20,
            20
        },
        Buff8 = {
            "RIGHT",
            "Buff7" ,
            "LEFT",
            -1,
            0,
            20,
            20
        },
        Buff9 = {
            "RIGHT",
            "Buff1" ,
            "LEFT",
            20,
            -21,
            20,
            20 
        },
        Buff10 = {
            "RIGHT",
            "Buff9" ,
            "LEFT",
            -1,
            0,
            20,
            20
        },
        Buff11 = {
            "RIGHT",
            "Buff10",
            "LEFT",
            -1,
            0,
            20,
            20
        },
        Buff12 = {
            "RIGHT",
            "Buff11",
            "LEFT",
            -1,
            0,
            20,
            20
        },
        Buff13 = {
            "RIGHT",
            "Buff12",
            "LEFT",
            -1,
            0,
            20,
            20
        },
        Buff14 = {
            "RIGHT",
            "Buff13",
            "LEFT",
            -1,
            0,
            20,
            20 
        },
        Buff15 = {
            "RIGHT",
            "Buff14",
            "LEFT",
            -1,
            0,
            20,
            20,
        },
        Buff16 = {
            "RIGHT",
            "Buff15",
            "LEFT",
            -1,
            0,
            20,
            20 
        },
        Buff17 = {
            "RIGHT",
            "Buff9" ,
            "LEFT",
            20,
            -21,
            20,
            20
        },
        Buff18 = {
            "RIGHT",
            "Buff17",
            "LEFT",
            -1,
            0,
            20,
            20
        },
        Buff19 = {
            "RIGHT",
            "Buff18",
            "LEFT",
            -1,
            0,
            20,
            20
        },
        Buff20 = {
            "RIGHT",
            "Buff19",
            "LEFT",
            -1,
            0,
            20,
            20
        },
        Buff21 = {
            "RIGHT",
            "Buff20",
            "LEFT",
            -1,
            0,
            20,
            20
        },
        Buff22 = {  
            "RIGHT",
            "Buff21",
            "LEFT",
            -1,
            0,
            20,
            20
        },
        Buff23 = {
            "RIGHT",
            "Buff22",
            "LEFT",
            -1,
            0,
            20,
            20
        },
        Buff24 = {
            "RIGHT",
            "Buff23",
            "LEFT",
            -1,
            0,
            20,
            20 
        },
        Buff25 = {
            "RIGHT",
            "Buff17",
            "LEFT",
            20,
            -21,
            20,
            20
        },
        Buff26 = {  
            "RIGHT",
            "Buff25",
            "LEFT",
            -1,
            0,
            20,
            20 
        },
        Buff27 = {
            "RIGHT",
            "Buff26",
            "LEFT",
            -1,
            0,
            20,
            20 
        },
        Buff28 = {
            "RIGHT",
            "Buff27",
            "LEFT",
            -1,
            0,
            20,
            20 
        },
        Buff29 = {
            "RIGHT",
            "Buff28",
            "LEFT",
            -1,
            0,
            20,
            20 
        },
        Buff30 = {
            "RIGHT",
            "Buff29",
            "LEFT",
            -1,
            0,
            20,
            20 
        },
        Buff31 = {
            "RIGHT",
            "Buff30",
            "LEFT",
            -1,
            0,
            20,
            20 
        },
        Buff32 = {
            "RIGHT",
            "Buff31",
            "LEFT",
            -1,
            0,
            20,
            20 
        },
        Buff33 = {
            "RIGHT",
            "Buff25",
            "LEFT",
            20,
            -21,
            20,
            20
        },
        Buff34 = {
            "RIGHT",
            "Buff33",
            "LEFT",
            -1,
            0,
            20,
            20
        },
        Buff35 = {
            "RIGHT",
            "Buff34",
            "LEFT",
            -1,
            0,
            20,
            20 
        },
        Buff36 = {
            "RIGHT",
            "Buff35",
            "LEFT",
            -1,
            0,
            20,
            20
        },
        Buff37 = {
            "RIGHT",
            "Buff36",
            "LEFT",
            -1,
            0,
            20,
            20 
        },
        Buff38 = {
            "RIGHT",
            "Buff37",
            "LEFT",
            -1,
            0,
            20,
            20 
        },
        Buff39 = {
            "RIGHT",
            "Buff38",
            "LEFT",
            -1,
            0,
            20,
            20,
        },
        Buff40 = {
            "RIGHT",
            "Buff39",
            "LEFT",
            -1,
            0,
            20,
            20
        }
    },
    
    deBuff = {
        deBuff1 = {
            "LEFT",
            "target_Text",
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff2 = {
            "LEFT",
            "deBuff1"  ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff3 = {
            "LEFT",
            "deBuff2"  ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff4 = {
            "LEFT",
            "deBuff3"  ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff5 = {
            "LEFT",
            "deBuff4"  ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff6 = {
            "LEFT",
            "deBuff5"  ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff7 = {
            "LEFT",
            "deBuff6"  ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff8 = {
            "LEFT",
            "deBuff7"  ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff9 = {
            "LEFT",
            "deBuff1"  ,
            "RIGHT" ,
            -20,
            -21,
            20,
            20
        },
        deBuff10 = {
            "LEFT",
            "deBuff9"  ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff11 = {
            "LEFT",
            "deBuff10" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff12 = {
            "LEFT",
            "deBuff11" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff13 = {
            "LEFT",
            "deBuff12" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff14 = {
            "LEFT",
            "deBuff13" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff15 = {
            "LEFT",
            "deBuff14" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff16 = {
            "LEFT",
            "deBuff15" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff17 = {
            "LEFT",
            "deBuff9"  ,
            "RIGHT" ,
            -20,
            -21,
            20,
            20
        },
        deBuff18 = {
            "LEFT",
            "deBuff17" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff19 = {
            "LEFT",
            "deBuff18" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff20 = {
            "LEFT",
            "deBuff19" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff21 = {
            "LEFT",
            "deBuff20" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff22 = {
            "LEFT",
            "deBuff21" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff23 = {
            "LEFT",
            "deBuff22" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff24 = {
            "LEFT",
            "deBuff23" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff25 = {
            "LEFT",
            "deBuff17" ,
            "RIGHT" ,
            -20,
            -21,
            20,
            20
        },
        deBuff26 = {
            "LEFT",
            "deBuff25" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff27 = {
            "LEFT",
            "deBuff26" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff28 = {
            "LEFT",
            "deBuff27" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff29 = {
            "LEFT",
            "deBuff28" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff30 = {
            "LEFT",
            "deBuff29" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff31 = {
            "LEFT",
            "deBuff30" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff32 = {
            "LEFT",
            "deBuff31" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff33 = {
            "LEFT",
            "deBuff25" ,
            "RIGHT" ,
            -20,
            -21,
            20,
            20
        },
        deBuff34 = {
            "LEFT",
            "deBuff33" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff35 = {
            "LEFT",
            "deBuff34" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff36 = {
            "LEFT",
            "deBuff35" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff37 = {
            "LEFT",
            "deBuff36" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff38 = {
            "LEFT",
            "deBuff37" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff39 = {
            "LEFT",
            "deBuff38" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
        deBuff40 = {
            "LEFT",
            "deBuff39" ,
            "RIGHT" ,
            1,
            0,
            20,
            20
        },
    },  
    
    playbuff = {
        playerBuff1 = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            7 ,
            0 ,
            26,
            26
        },
        playerBuff2 = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            16,
            31,
            26,
            26
        },
        playerBuff3 = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            21,
            63,
            26,
            26
        },
        playerBuff4 = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            24,
            96,
            26,
            26
        },
        playerBuff5 = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            24,
            128,
            26,
            26
        },
        playerBuff6 = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            22,
            162,
            26,
            26
        },
        playerBuff7 = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            17,
            194,
            26,
            26
        },
        playerBuff8 = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            9 ,
            226,
            26,
            26
        },
        playerBuff9 = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            40,
            7 ,
            26,
            26
        },
        playerBuff10 = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            47,
            42,
            26,
            26
        },
        playerBuff11 = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            52,
            76,
            26,
            26
        },
        playerBuff12 = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            53,
            111,
            26,
            26
        },
        playerBuff13 = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            52,
            146,
            26,
            26
        },
        playerBuff14 = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            49,
            182,
            26,
            26
        },
        playerBuff15 = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            42,
            217,
            26,
            26
        },
        playerBuff16 = {
            "BOTTOM",
            "rightFrame",
            "BOTTOM",
            35,
            250,
            26,
            26    
        }
    },
    
    images = {
        -- Right Borders
        right = {
            1,
            0,
            0,
            1,
            {
                r_ph_pm  = "Interface\\AddOns\\DHUD2\\Layouts\\bg_1",
                r_ph_pm_eh = "Interface\\AddOns\\DHUD2\\Layouts\\bg_1",
                r_ph_pm_th = "Interface\\AddOns\\DHUD2\\Layouts\\bg_1",
                r_ph_pm_eh_th = "Interface\\AddOns\\DHUD2\\Layouts\\bg_1",    
                r_ph_pm_em = "Interface\\AddOns\\DHUD2\\Layouts\\bg_1p",
                r_ph_pm_eh_em = "Interface\\AddOns\\DHUD2\\Layouts\\bg_1p",
                r_ph_pm_em_th = "Interface\\AddOns\\DHUD2\\Layouts\\bg_1p",
                r_ph_pm_eh_em_th = "Interface\\AddOns\\DHUD2\\Layouts\\bg_1p",
                r_ph_pm_tm = "Interface\\AddOns\\DHUD2\\Layouts\\bg_21", 
                r_ph_pm_eh_tm = "Interface\\AddOns\\DHUD2\\Layouts\\bg_21", 
                r_ph_pm_th_tm = "Interface\\AddOns\\DHUD2\\Layouts\\bg_21", 
                r_ph_pm_eh_th_tm = "Interface\\AddOns\\DHUD2\\Layouts\\bg_21", 
                r_ph_pm_em_th = "Interface\\AddOns\\DHUD2\\Layouts\\bg_21p",
                r_ph_pm_em_th_tm = "Interface\\AddOns\\DHUD2\\Layouts\\bg_21p",
                r_ph_pm_eh_em_th = "Interface\\AddOns\\DHUD2\\Layouts\\bg_21p",
                r_ph_pm_eh_em_th_tm = "Interface\\AddOns\\DHUD2\\Layouts\\bg_21p",            
            },
        },
        -- Left Borders
        left = {
            0,
            1,
            0,
            1,
            {                        
                l_ph_pm = "Interface\\AddOns\\DHUD2\\Layouts\\bg_1",
                l_ph_pm_em = "Interface\\AddOns\\DHUD2\\Layouts\\bg_1",
                l_ph_pm_tm = "Interface\\AddOns\\DHUD2\\Layouts\\bg_1",
                l_ph_pm_th = "Interface\\AddOns\\DHUD2\\Layouts\\bg_21",
                l_ph_pm_th_tm = "Interface\\AddOns\\DHUD2\\Layouts\\bg_21",
                l_ph_pm_em_th = "Interface\\AddOns\\DHUD2\\Layouts\\bg_21",
                l_ph_pm_em_th_tm = "Interface\\AddOns\\DHUD2\\Layouts\\bg_21",
                l_ph_pm_eh = "Interface\\AddOns\\DHUD2\\Layouts\\bg_1p",
                l_ph_pm_eh_tm = "Interface\\AddOns\\DHUD2\\Layouts\\bg_1p",
                l_ph_pm_eh_em = "Interface\\AddOns\\DHUD2\\Layouts\\bg_1p",
                l_ph_pm_eh_em_tm = "Interface\\AddOns\\DHUD2\\Layouts\\bg_1p",
                l_ph_pm_eh_th = "Interface\\AddOns\\DHUD2\\Layouts\\bg_21p",
                l_ph_pm_eh_th_tm = "Interface\\AddOns\\DHUD2\\Layouts\\bg_21p",
                l_ph_pm_eh_em_th = "Interface\\AddOns\\DHUD2\\Layouts\\bg_21p",
                l_ph_pm_eh_em_th_tm = "Interface\\AddOns\\DHUD2\\Layouts\\bg_21p",
                targetRare = "Interface\\AddOns\\DHUD2\\Layouts\\rare",
                targetElite = "Interface\\AddOns\\DHUD2\\Layouts\\elite",  
            },
        },
        
        pet = {
            {   
                "unHappy",
                "Interface\\PetPaperDollFrame\\UI-PetHappiness",
                0.375,
                0.5625,
                0,
                0.359375
            },
            { 
                "normal",
                "Interface\\PetPaperDollFrame\\UI-PetHappiness",
                0.1875,
                0.375,
                0,
                0.359375
            },
            {
                "happy",
                "Interface\\PetPaperDollFrame\\UI-PetHappiness",
                0,
                0.1875,
                0,
                0.359375               
            }            
        }
    },
    
    raidIcons = {
        {
            "Interface\\TargetingFrame\\UI-RaidTargetingIcons",
            0,
            0.25,
            0,
            0.25
        },
        {
            "Interface\\TargetingFrame\\UI-RaidTargetingIcons",
            0.25,
            0.50,
            0,
            0.25
        },
        {
            "Interface\\TargetingFrame\\UI-RaidTargetingIcons",
            0.50,
            0.75,
            0,
            0.25
        },
        {
            "Interface\\TargetingFrame\\UI-RaidTargetingIcons",
            0.75,
            1,
            0,
            0.25
        },
        {
            "Interface\\TargetingFrame\\UI-RaidTargetingIcons",
            0,
            0.25,
            0.25,
            0.50
        },
        {
            "Interface\\TargetingFrame\\UI-RaidTargetingIcons",
            0.25,
            0.50,
            0.25,
            0.50
        },
        {
            "Interface\\TargetingFrame\\UI-RaidTargetingIcons",
            0.50,
            0.75,
            0.25,
            0.50
        },
        {
            "Interface\\TargetingFrame\\UI-RaidTargetingIcons",
            0.75,
            1,
            0.25,
            0.50
        },
    },
    
    
    defaultfont     = "Fonts/FRIZQT__.TTF",
    defaultfont_num = "Interface\\AddOns\\DHUD2\\Layouts\\Number.TTF",
}